PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
crm_attribute -n <attribute> <command> [options]

DESCRIPTION
crm_attribute - query and update Pacemaker cluster options and node attributes

OPTIONS

-?, --help
    This text

-$, --version
    Version information

-V, --verbose
    Increase debug output

-q, --quiet
    Print only the value on stdout

-n, --name=value
    Name of the attribute/option to operate on

-P, --pattern=value
    Pattern matching names of attributes (only with -v/-D and -l reboot)

  Commands:

-G, --query
    Query the current value of the attribute/option

-v, --update=value
    Update the value of the attribute/option

-D, --delete
    Delete the attribute/option

  Additional Options:

-N, --node=value
    Set a node attribute for named node (instead of a cluster option). See also: -l

-t, --type=value
    Which part of the configuration to update/delete/query the option in Valid values: crm_config, rsc_defaults, op_defaults, tickets

-l, --lifetime=value
    Lifetime of the node attribute Valid values: reboot, forever

-z, --utilization
    Set an utilization attribute for the node.

-s, --set-name=value
    (Advanced) The attribute set in which to place the value

-i, --id=value
    (Advanced) The ID used to identify the attribute

-d, --default=value
    (Advanced) Default value to display if none is found in configuration

EXAMPLES
Add new node attribute called 'location' with the value of 'office' for host 'myhost':

    # crm_attribute --node myhost --name location --update office

Query the value of the 'location' node attribute for host 'myhost':

    # crm_attribute --node myhost --name location --query

Change the value of the 'location' node attribute for host 'myhost':

    # crm_attribute --node myhost --name location --update backoffice

Delete the 'location' node attribute for host 'myhost':

    # crm_attribute --node myhost --name location --delete

Query the value of the cluster-delay cluster option:

    # crm_attribute --type crm_config --name cluster-delay --query

Query value of the "cluster-delay" cluster option and print only the value:

    # crm_attribute --type crm_config --name cluster-delay --query --quiet

AUTHOR
Written by Andrew Beekhof

REPORTING BUGS
Report bugs to users@clusterlabs.org